Subject: Re: [PATCH 09/11] [POWERPC] iSeries: move detection of virtual tapes

From: Christoph Hellwig <[email-masked]>
Date: Fri, 21 Sep 2007 10:29:52 +0200

> +#if defined(CONFIG_VIOTAPE) || defined(CONFIG_VIOTAPE_MODULE)
> +/* Handle interrupt events for tape */
> +static void __init handle_tape_event(struct HvLpEvent *event)
> +{
> +	struct vio_waitevent *we;
> +	struct viotapelpevent *tevent = (struct viotapelpevent *)event;

I think we should generate these device tree entires unconditionally.
They're just a conversion of what the iseries firmware/hypervisor
provides and not dependent on a specific driver.

(dito for the other patches with the same scheme)